Page MenuHomePhabricator

[Story] Show links to local wiki articles in statements in ArticlePlaceholder
Closed, ResolvedPublic

Description

In case we have Items as statements, that have a page on the wiki, we should probably link to that page.

Patches for review:

Related Objects

StatusAssignedTask
InvalidLydia_Pintscher
Resolvedthiemowmde
DeclinedNone
ResolvedLucie
ResolvedLucie
InvalidLucie
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolved Jonas
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedJanZerebecki
ResolvedJanZerebecki
DeclinedNone
DuplicateLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedLucie
ResolvedLucie
Resolved Jonas
ResolvedAklapper
DeclinedDereckson
Resolvedcsteipp
ResolvedJanZerebecki
DuplicateNone
Resolvedhoo
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedLucie
ResolvedNone
ResolvedLucie
OpenNone
InvalidLucie
DeclinedLucie
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo
ResolvedLydia_Pintscher
Resolvedthiemowmde
ResolvedLucie
OpenNone
OpenNone
Resolvedhoo
ResolvedLucie
Resolvedoschposch
Resolvedhoo
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
OpenNone

Event Timeline

Lucie created this task.Sep 28 2015, 1:46 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added subscribers: gerritbot, Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 1:46 PM
Lucie added a comment.Nov 3 2015, 3:54 PM

Is probably depending on T99897

Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.May 24 2016, 3:18 PM
Lydia_Pintscher renamed this task from [Story] Show links to local wiki to [Story] Show links to local wiki articles in statements in ArticlePlaceholder.Oct 13 2016, 8:17 AM
Jonas reassigned this task from Lucie to thiemowmde.Nov 9 2016, 1:42 PM
Jonas moved this task from Backlog to Doing on the Wikidata-Sprint-2016-11-08 board.

Change 320593 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Introduce renderRichSnak and renderRichSnaks Lua functions

https://gerrit.wikimedia.org/r/320593

Change 320790 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Refactor DataAccessSnakFormatterFactory

https://gerrit.wikimedia.org/r/320790

Change 320801 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Use (rich) formatValues instead of (plain) formatSnaks

https://gerrit.wikimedia.org/r/320801

Change 320790 merged by jenkins-bot:
Refactor DataAccessSnakFormatterFactory

https://gerrit.wikimedia.org/r/320790

thiemowmde updated the task description. (Show Details)Nov 21 2016, 9:28 AM
Lucie awarded a token.Nov 21 2016, 8:20 PM
Jonas updated the task description. (Show Details)Nov 23 2016, 2:00 PM

Change 320593 merged by jenkins-bot:
Introduce (rich) formatValue and formatValues Lua functions

https://gerrit.wikimedia.org/r/320593

Jonas updated the task description. (Show Details)Nov 29 2016, 10:42 AM
Jonas moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.

Change 320801 merged by jenkins-bot:
Use (rich) formatValue(s) instead of (plain) formatSnak(s)

https://gerrit.wikimedia.org/r/320801

Change 324453 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix wrong setting in SpecialAboutTopic

https://gerrit.wikimedia.org/r/324453

Change 324453 merged by jenkins-bot:
Fix wrong setting in SpecialAboutTopic

https://gerrit.wikimedia.org/r/324453

thiemowmde closed this task as Resolved.Dec 6 2016, 1:27 PM
hoo moved this task from To Do Next to Done on the ArticlePlaceholder board.Dec 13 2016, 10:08 AM